# Plugin Installation

Run the following command inside your Capacitor project to install the latest version of the plugin:

```shell
npm install uqudosdk-capacitor --save
```

**Android**

Sync the project if using Android Studio and then add the following in the MainActivity extending BridgeActivity like:

```kotlin
public class MainActivity extends BridgeActivity {
   @Override
   public void onCreate(Bundle savedInstanceState) {
       super.onCreate(savedInstanceState);

       registerPlugin(UqudoIdPlugin.class);
   }
}
```

**iOS**

Please follow the steps described in [Xcode Environment Setup](/docs/kyc/uqudo-sdk/integration/ios/prepare-environment.md#xcode-environment-setup-for-ios).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uqudo.com/docs/kyc/uqudo-sdk/integration/capacitor/plugin-installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
